<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->

<body id="body-index">


<div th:replace="fragments/header-ejecutivo :: header"></div><!--Carga el fragmento header-->


<div class="container" id="container">
    <div class="admin-container" style="width: 105%">
        <div class="action-button">
            <a th:href="|/ficha/crear/${vehiculo.getIdVehiculo()}|"> <!--Si se quiere editar el cliente, se redirigirá a otra página-->
                <button class="btn btn-success btn-md" style="margin: 2px;">
                    <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>Agregar servicio al vehículo
                </button>
            </a>
        </div>
        <div class="panel panel-default">
            <div class="panel-heading">Servicios entregados al vehículo</div>
            <table class="table table-striped table-bordered" id="category-table">
                <tr th:each="servicio: ${ficha}" > <!--recorre la  lista de clientes "clientesData" que fue entregada por el webController-->
                    <!--Se muestran los atributos del cliente-->
                    <td th:text="${servicio.getFecha()}">Fecha</td>
                    <td th:text="${servicio.getNombre()}">Servicio</td>
                    <td th:text="${servicio.getDetalle()}">Detalle</td>
                    <td th:text="${servicio.getPrecio()}">Costo</td>
                    <td th:text="${servicio.getRutCliente()}">RUT Cliente</td>
                    <td th:text="${servicio.getNombreCliente()} + ' ' + ${servicio.getApellidoCliente()}">Nombre Cliente</td>
                    <td th:text="${servicio.getTelefonoCliente()}">Teléfono Cliente</td>
                    <td th:text="${servicio.getRutAdmin()}">RUT Administrador</td>
                    <td th:text="${servicio.getNombreAdmin()} +' '+ ${servicio.getApellidoAdmin()}">Nombre Administrador</td>
                </tr>
            </table>
        </div>
    </div>
</div>

<!--Carga algunos scripts de ajax-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous">
</script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/dataTables.bootstrap.min.js"></script>

<script>
    $(document).ready(function () {
        <!--Da nombre a las columnas de la tabla y activa la paginación-->
        $('#category-table').DataTable({
            "paging": true,
            columns: [
                {data: "Fecha", title: "Fecha"},
                {data: "Servicio", title: "Servicio"},
                {data: "Detalle", title: "Detalle"},
                {data: "Costo", title: "Costo"},
                {data: "Rut Cliente", title: "Rut Cliente"},
                {data: "Nombre Cliente", title: "Nombre Cliente"},
                {data: "Teléfono Cliente", title: "Teléfono Cliente"},
                {data: "RUT Administrador", title: "RUT Administrador"},
                {data: "Nombre Administrador", title: "Nombre Administrador"}
            ]
        });
    });

    function crear(button) { <!--Cuando se presiona el botón eliminar-->
        var id = $(button).data("id");
        alert(id);

        <!--Se despliega una ventana de confirmación con algunos datos del cliente-->
        <!--Si se confirma, se envía el id del cliente a eliminar al url /cliente/borrar-->
        $.ajax({
            type: "POST",
            contentType: 'application/json',
            url: "http://localhost:8080/ficha/crear/" + id
        }).done(function (message) {
            location.href = "http://localhost:8080/ficha/vehiculo/" + id;
        }).fail(function (e) {
            console.log("error " + e);
        });

    }
</script>
</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>